%define oname	newsfeeds-plasma5-dataengine

Name:		plasma-applet-newsfeeds-dataengine
Version:	master
Release:	%mkrel 1
Summary:	Provide newsfeeds dataengine for newsnow Plasma 5
Group:		Graphical desktop/KDE
License:	GPLv3+
Url:		https://github.com/amarthadan/newsfeeds-plasma5-dataengine
Source0:	https://github.com/amarthadan/newsfeeds-plasma5-dataengine/archive/refs/heads/%{version}.tar.gz
BuildRequires: cmake(KF5Plasma)
BuildRequires: cmake(KF5Syndication)
BuildRequires:	kf5-macros
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Quick)

%description
Provide newsfeed dataengine for newsnow Plasma 5

%prep
%setup -qn %{oname}-%{version}
%autopatch -p1

%build
%cmake_kf5 -Wno-dev

%cmake_build

%install
%cmake_install

%files

/usr/lib/debug/usr/lib64/qt5/plugins/plasma/dataengine/plasma_engine_newsfeeds.so-master-1.nic80.mlo8.x86_64.debug
   %{_libdir}/qt5/plugins/plasma/dataengine/plasma_engine_newsfeeds.so
   %{_kf5_services}/plasma-dataengine-newsfeeds.desktop


%changelog
* Sat Jan 28 2023 nic80 <nic80> master.nic80.mlo
+ Revision: 1
- initial package plasma-applet-newsnow

